// Komponenta2.h : Declaration of the CKomponenta2

#pragma once
#include "resource.h"       // main symbols

#include "Komponenta.h"


// CKomponenta2

class ATL_NO_VTABLE CKomponenta2 : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CKomponenta2, &CLSID_Komponenta2>,
	public IDispatchImpl<IKomponenta2, &IID_IKomponenta2, &LIBID_KomponentaLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
protected:
	CComBSTR bstrTitulek;
public:
	CKomponenta2()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_KOMPONENTA2)


BEGIN_COM_MAP(CKomponenta2)
	COM_INTERFACE_ENTRY(IKomponenta2)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		wchar_t szCesta[MAX_PATH];
		if (GetModuleFileName(
			NULL, szCesta, MAX_PATH) == 0)
			return S_FALSE;
		wchar_t* pSoubor = PathFindFileName(szCesta);
		if (pSoubor == NULL)
			return S_FALSE;
		bstrTitulek = CComBSTR(pSoubor);
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

	STDMETHOD(Zprava)(BSTR text);
	STDMETHOD(GetJmenoUzivatele)(BSTR* uzivatel);
	STDMETHOD(GetVyuzitaPamet)(ULONG* bytu, ULONG* procent);
	STDMETHOD(get_Titulek)(BSTR* pVal);
	STDMETHOD(put_Titulek)(BSTR newVal);
	STDMETHOD(get_Uzivatel)(BSTR* pVal);
};

OBJECT_ENTRY_AUTO(__uuidof(Komponenta2), CKomponenta2)
