#include "StdAfx.h"
#include ".\Okno.h"
#include ".\OknoHlavni.h"

OknoHlavni::OknoHlavni(void)
{
}

OknoHlavni::~OknoHlavni(void)
{
}

LRESULT OknoHlavni::OnCommand(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	switch (LOWORD(wParam))
	{
	case ID_O_PROGRAMU:
		MessageBox(_T("Okno - ukzkov program"),
			_T("O programu ..."),
			MB_ICONINFORMATION);
		break;
	}
	bHandled = FALSE;
	return 0;
}

LRESULT OknoHlavni::OnPaint(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	PAINTSTRUCT ps;
	RECT rect;
	GetClientRect(&rect);
	HDC hdc = BeginPaint(&ps);
	DrawText(hdc, _T("Ahoj ATL"), -1, &rect,
		DT_SINGLELINE | DT_CENTER | DT_VCENTER);
	EndPaint(&ps);
	return 0;
}

LRESULT OknoHlavni::OnEraseBkgnd(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	bHandled = FALSE;
	return 0;
}

LRESULT OknoHlavni::OnKonec(WORD wNotifyCode,
	WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	PostMessage(WM_CLOSE);
	return 0;
}

LRESULT OknoHlavni::OnClose(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	TCHAR soubor[MAX_PATH];
	GetModuleFileName(NULL, soubor, MAX_PATH);
	if (MessageBox(_T("Opravdu chcete ukonit aplikaci?"),
		PathFindFileName(soubor),
		MB_ICONQUESTION | MB_YESNO | MB_DEFBUTTON2) == IDYES)
		bHandled = FALSE;
	return 0;
}
/*LRESULT OknoHlavni::OnClose(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	TCHAR soubor[MAX_PATH];
	GetModuleFileName(NULL, soubor, MAX_PATH);
	if (MessageBox(_T("Opravdu chcete ukonit aplikaci?"),
		PathFindFileName(soubor),
		MB_ICONQUESTION | MB_YESNO | MB_DEFBUTTON2) != IDYES)
		return 0;
	else
		return DefWindowProc();
}
*/
LRESULT OknoHlavni::OnSysCommand(UINT uMsg, WPARAM wParam,
	LPARAM lParam, BOOL& bHandled)
{
	switch (wParam)
	{
	case SC_MAXIMIZE:
		wParam = SC_CLOSE;
		break;
	}
	return DefWindowProc(uMsg, wParam, lParam);
}


LRESULT OknoHlavni::OnNcHitTest(UINT uMsg, WPARAM wParam,
	LPARAM lParam, BOOL& bHandled)
{
	LRESULT lResult = DefWindowProc();
	if ((lResult == HTCLIENT) && (GetAsyncKeyState(MK_LBUTTON) < 0 ))
		return HTCAPTION;
	else
        return lResult;
}
