// OknoFormular.cpp : Implementation of WinMain

#include "stdafx.h"
#include "resource.h"
#include "OknoFormular.h"
#include ".\OknoHlavni.h"

OknoHlavni _oknoHlavni;

class COknoFormularModule : public CAtlExeModuleT< COknoFormularModule >,
	public AtlDemo::Aplikace
{
public :
	DECLARE_LIBID(LIBID_ATLLib)
	HRESULT PreMessageLoop(int nShowCmd);

void RunMessageLoop() throw()
{
	MSG msg;
	while (GetMessage(&msg, 0, 0, 0) > 0)
	{
		if (!_oknoHlavni.dlgHlavni || !IsDialogMessage(_oknoHlavni.dlgHlavni->m_hWnd, &msg))
		{
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}
}
};

COknoFormularModule _AtlModule;

extern "C" int WINAPI _tWinMain(HINSTANCE /*hInstance*/, HINSTANCE /*hPrevInstance*/, 
                                LPTSTR /*lpCmdLine*/, int nShowCmd)
{
    return _AtlModule.WinMain(nShowCmd);
}


HRESULT COknoFormularModule::PreMessageLoop(int nShowCmd)
{
	CAtlExeModuleT<COknoFormularModule>::PreMessageLoop(nShowCmd);
	if (!Aplikace::InitCommonControls())
		return E_FAIL;
	_oknoHlavni.Vytvorit();
	return S_OK;
}
