// PanelNastrojuIE.cpp : Implementation of DLL Exports.

#include "stdafx.h"
#include "resource.h"
#include "PanelNastrojuIE.h"

class Modul : public CAtlDllModuleT< Modul >
{
public :
	DECLARE_LIBID(LIBID_PanelNastrojuIELib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_PANELNASTROJUIE, "{FCB770E8-0481-44DA-8122-E30B69A644FB}")
	BOOL WINAPI DllMain(DWORD dwReason, LPVOID lpReserved);
};

Modul _AtlModule;


// DLL Entry Point
extern "C" BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	hInstance;
    return _AtlModule.DllMain(dwReason, lpReserved); 
}


// Used to determine whether the DLL can be unloaded by OLE
STDAPI DllCanUnloadNow(void)
{
    return _AtlModule.DllCanUnloadNow();
}


// Returns a class factory to create an object of the requested type
STDAPI DllGetClassObject(REFCLSID rclsid, REFIID riid, LPVOID* ppv)
{
    return _AtlModule.DllGetClassObject(rclsid, riid, ppv);
}


// DllRegisterServer - Adds entries to the system registry
STDAPI DllRegisterServer(void)
{
    // registers object, typelib and all interfaces in typelib
    HRESULT hr = _AtlModule.DllRegisterServer();
	return hr;
}


// DllUnregisterServer - Removes entries from the system registry
STDAPI DllUnregisterServer(void)
{
	HRESULT hr = _AtlModule.DllUnregisterServer();
	return hr;
}

BOOL WINAPI Modul::DllMain(
	DWORD dwReason, LPVOID lpReserved)
{
	switch (dwReason)
	{
	case DLL_PROCESS_ATTACH:
		wchar_t aplikace[MAX_PATH];
		GetModuleFileName(NULL, aplikace, MAX_PATH);
		_wcslwr(aplikace);
		if (wcscmp(PathFindFileNameW(aplikace),
			L"explorer.exe") == 0) 
			return FALSE;
		break;
	case DLL_PROCESS_DETACH:
		break;
	}
	return CAtlDllModuleT<Modul>::
		DllMain(dwReason, lpReserved);
}
