// RozsireniShellu.cpp : Implementation of DLL Exports.

#include "stdafx.h"
#include "resource.h"
#include "RozsireniShellu.h"

class DllModul : public CAtlDllModuleT< DllModul >
{
public :
	DECLARE_LIBID(LIBID_RozsireniShelluLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_ROZSIRENISHELLU, "{435E740D-DA36-4B2D-BD14-3C9F752F98BB}")
	BOOL WINAPI DllMain(DWORD dwReason, LPVOID lpReserved);
	DWORD gdiplusToken;
	DllModul()
	{
		gdiplusToken = 0;
	}

	bool GdiPlusNactena()
	{
		HMODULE hModuly[1024];
		DWORD velikost;
		HANDLE hProces;
		hProces = OpenProcess(PROCESS_QUERY_INFORMATION |
			PROCESS_VM_READ, FALSE, GetCurrentProcessId());
		if (!hProces)
			return false;
		wchar_t soubor[MAX_PATH];
		if (EnumProcessModules(hProces,
			hModuly, sizeof(hModuly), &velikost))
		{
			for (int i = 0;
				i < (velikost/sizeof(HMODULE));
				i++)
			{
				if (GetModuleFileNameEx(hProces,
					hModuly[i], soubor, sizeof(soubor)))
				{
					_wcslwr(soubor);
					if (wcscmp(PathFindFileNameW(soubor),
						L"gdiplus.dll") == 0) 
						return true;

				}
			}
		}
		return false;
	}

};

DllModul _AtlModule;

// DLL Entry Point
extern "C" BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	hInstance;
    return _AtlModule.DllMain(dwReason, lpReserved); 
}


// Used to determine whether the DLL can be unloaded by OLE
STDAPI DllCanUnloadNow(void)
{
    return _AtlModule.DllCanUnloadNow();
}


// Returns a class factory to create an object of the requested type
STDAPI DllGetClassObject(REFCLSID rclsid, REFIID riid, LPVOID* ppv)
{
    return _AtlModule.DllGetClassObject(rclsid, riid, ppv);
}


// DllRegisterServer - Adds entries to the system registry
STDAPI DllRegisterServer(void)
{
    // registers object, typelib and all interfaces in typelib
    HRESULT hr = _AtlModule.DllRegisterServer();
	return hr;
}


// DllUnregisterServer - Removes entries from the system registry
STDAPI DllUnregisterServer(void)
{
	HRESULT hr = _AtlModule.DllUnregisterServer();
	return hr;
}

BOOL WINAPI DllModul::DllMain(DWORD dwReason,
							  LPVOID lpReserved)
{
	GdiplusStartupInput gdiplusStartupInput;
	switch (dwReason)
	{
	case DLL_PROCESS_ATTACH:
		ATLTRACE2(L"Modul nacten\n");
		wchar_t aplikace[MAX_PATH];
		GetModuleFileName(NULL, aplikace, MAX_PATH);
		_wcslwr(aplikace);
		if (wcscmp(PathFindFileNameW(aplikace), L"explorer.exe")) 
            return CAtlDllModuleT<DllModul>::
				DllMain(dwReason, lpReserved);
		if (GdiPlusNactena())
            return CAtlDllModuleT<DllModul>::
			DllMain(dwReason, lpReserved);
		GdiplusStartup(&gdiplusToken,
			&gdiplusStartupInput, NULL);
		ATLTRACE2(L"Spustena GDIPlus\n");
		break;
	case DLL_PROCESS_DETACH:
		ATLTRACE2(L"Modul uvolnen\n");
		break;
	}
	return CAtlDllModuleT<DllModul>::
		DllMain(dwReason, lpReserved);
}
