#include "stdafx.h"
#include ".\DlgHlavni.h"
#include ".\OknoHlavni.h"

LRESULT DlgHlavni::OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	CAxDialogImpl<DlgHlavni>::OnInitDialog(uMsg, wParam, lParam, bHandled);
	btnOtevritUrl.SubclassWindow(GetDlgItem(IDC_OTEVRIT_URL));
	HRESULT hr;
	axWindow = GetDlgItem(IDC_IEXPLORER);
	hr = axWindow.QueryControl(&webBrowser);
	if (hr != S_OK)
		EndDialog(IDCANCEL);
	webBrowser->Navigate(L"http://www.radekchalupa.cz",
		NULL, NULL, NULL, NULL);
	editUrl.Nastavit(GetDlgItem(IDC_URL), this->webBrowser);
	SetDlgItemText(IDC_URL, L"http://www.radekchalupa.cz");
	return 1;
}

LRESULT DlgHlavni::OnSize(UINT uMsg, WPARAM wParam,
	LPARAM lParam, BOOL& bHandled)
{
	RECT rect;
	btnOtevritUrl.GetWindowRect(&rect);
	btnOtevritUrl.SetWindowPos(NULL,
		LOWORD(lParam) - (rect.right-rect.left) - 4,
		2,
		0,0,
		SWP_NOZORDER | SWP_NOSIZE);
	RECT rectUrl;
	GetDlgItem (IDC_URL).GetWindowRect(&rectUrl);
	GetDlgItem(IDC_URL).SetWindowPos(NULL,
		2, 2,
		LOWORD(lParam) - (rect.right-rect.left) - 8,
		rectUrl.bottom - rectUrl.top,
		SWP_NOZORDER);
	if (axWindow.IsWindow())
	{
		axWindow.SetWindowPos(NULL,
			0,
			rectUrl.bottom - rectUrl.top + 4,
			LOWORD(lParam),
			HIWORD(lParam) -
				(rectUrl.bottom - rectUrl.top + 4),
			SWP_NOZORDER);
	}
	return DefWindowProc();
}

LRESULT DlgHlavni::OnOtevritUrl(WORD wNotifyCode, WORD wID,
	HWND hWndCtl, BOOL& bHandled)
{
	CString url;
	GetDlgItemText(IDC_URL, url);
	webBrowser->Navigate(url.GetBuffer(), NULL, NULL, NULL, NULL);
	return 0;
}


void __stdcall DlgHlavni::NavigateComplete2Iexplorer(
	LPDISPATCH pDisp, VARIANT* URL)
{
	_oknoHlavni.SetStatusText(URL->bstrVal);
}

void __stdcall DlgHlavni::TitleChangeIexplorer(BSTR Text)
{
	_oknoHlavni.SetWindowText(Text);
}


void __stdcall DlgHlavni::StatusTextChangeIexplorer(BSTR Text)
{
	_oknoHlavni.SetStatusText(Text);
}
