/****************************************************
Tda: DlgVlastnostiStranky
Soubor: DlgVlastnostiStranky.h
(C) 2005 Radek Chalupa - www.radekchalupa.cz
*****************************************************/

#pragma once

#include "resource.h"

class DlgVlastnostiStranky : 
	public CDialogImpl<DlgVlastnostiStranky>
{
public:
	enum { IDD = IDD_DLGVLASTNOSTISTRANKY };
	IWebBrowser2* webBrowser;
	AtlDemo::Button btnOK;
	AtlDemo::Button btnZobrazitObrazek;

BEGIN_MSG_MAP(DlgVlastnostiStranky)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnZavrit)
	COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnZavrit)
	COMMAND_HANDLER(IDC_OBRAZKY,
		LBN_DBLCLK, OnLbnDblclkObrazky)
	COMMAND_HANDLER(IDC_ZOBRAZIT_OBRAZEK,
		BN_CLICKED, OnZobrazitObrazek)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam,
		LPARAM lParam, BOOL& bHandled);
	LRESULT OnZavrit(WORD wNotifyCode, WORD wID,
		HWND hWndCtl, BOOL& bHandled)
	{
		EndDialog(wID);
		return 0;
	}
	void ZobrazitObrazek(void);
	LRESULT OnLbnDblclkObrazky(WORD wNotifyCode,
		WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnZobrazitObrazek(WORD wNotifyCode,
		WORD wID, HWND hWndCtl, BOOL& bHandled);
};
