#include "StdAfx.h"
#include ".\WebovyProhlizec.h"
#include ".\OknoHlavni.h"

OknoHlavni _oknoHlavni;

bool OknoHlavni::Vytvorit()
{
	if (!strStatus.LoadString(IDS_PRIPRAVEN))
		return false;
	RECT rect = {0, 0, 800, 600};
	if (!Create(NULL, &rect, _T("Formul"),
		WS_OVERLAPPEDWINDOW))
		return false;
	statusBar = new AtlDemo::StatusBar();
	statusBar->Vytvorit(m_hWnd);
	SetStatusText();
	toolBar = new AtlDemo::ToolBar();
	toolBar->Vytvorit(m_hWnd, _AtlModule.himagelist);
	toolBar->PridatTlacitko(ID_VLASTNOSTI_STRANKY,
		CWebovyProhlizecModule::obrVlastnosti);
	toolBar->PridatOddelovac();
	toolBar->PridatTlacitko(ID_KONEC,
		CWebovyProhlizecModule::obrKonec);
	dlgHlavni = new DlgHlavni();
	dlgHlavni->Create(m_hWnd);
	dlgHlavni->SetWindowPos(NULL,
		0, 0, 0,0,
		SWP_NOZORDER | SWP_NOSIZE);
	dlgHlavni->ShowWindow(SW_SHOW);
	SetWindowPos(NULL,
		0, 0,
		rect.right - rect.left,
		rect.bottom - rect.top,
		SWP_NOZORDER | SWP_NOMOVE);
	CenterWindow();
	ShowWindow(SW_SHOW);
	return true;
}

