// WebovyProhlizec.cpp : Implementation of WinMain

#include "stdafx.h"
#include ".\WebovyProhlizec.h"
#include ".\OknoHlavni.h"


CWebovyProhlizecModule _AtlModule;

extern "C" int WINAPI _tWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, 
                                LPTSTR lpCmdLine, int nShowCmd)
{
    return _AtlModule.WinMain(nShowCmd);
}


HRESULT CWebovyProhlizecModule::PreMessageLoop(int nShowCmd)
{
	CAtlExeModuleT<CWebovyProhlizecModule>::PreMessageLoop(nShowCmd);
	if (!_AtlModule.InitCommonControls())
		return E_FAIL;
	Lock();
	HBITMAP hBitmap = NULL;
	himagelist = ImageList_Create(16, 16, ILC_COLOR32 | ILC_MASK, 1, 1);
	if (!himagelist)
		AtlThrowLastWin32();
	hBitmap = LoadBitmap(_AtlBaseModule.m_hInst, MAKEINTRESOURCE(IDB_IMAGELIST));
	if (!hBitmap)
		AtlThrowLastWin32();
	if (ImageList_AddMasked(himagelist, hBitmap, 0x0000FF00) == -1)
		AtlThrowLastWin32();
	if (!DeleteObject(hBitmap))
		AtlThrowLastWin32();

	_oknoHlavni.Vytvorit();

	return S_OK;
}

void CWebovyProhlizecModule::RunMessageLoop()
{
	MSG msg;
	while (GetMessage(&msg, 0, 0, 0) > 0)
	{
		if (!_oknoHlavni.dlgHlavni || !IsDialogMessage(_oknoHlavni.dlgHlavni->m_hWnd, &msg))
		{
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}
}

HRESULT CWebovyProhlizecModule::PostMessageLoop()
{
	if (himagelist)
		ImageList_Destroy(this->himagelist);
	Unlock();
	return __super::PostMessageLoop();
}
