/****************************************************
COM server typu exe 
Soubor: Komponenta.cpp
(C) 2005 Radek Chalupa - www.radekchalupa.cz
*****************************************************/

#include "stdafx.h"
#include "resource.h"
#include "Komponenta.h"

class Modul : public CAtlExeModuleT< Modul >
{
public :
	DECLARE_LIBID(LIBID_KomponentaLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(
		IDR_KOMPONENTA,
		"{715EC789-FAA3-4029-BD63-0EFC63527D1E}")

	HRESULT PreMessageLoop(int nShowCmd)
	{
		MessageBox(NULL, L"PreMessageLoop",
			NULL, MB_ICONINFORMATION);
		return CAtlExeModuleT<Modul>::
			PreMessageLoop(nShowCmd);
	}

	HRESULT PostMessageLoop()
	{
		MessageBox(NULL, L"PostMessageLoop",
			NULL, MB_ICONINFORMATION);
		return CAtlExeModuleT<Modul>::PostMessageLoop();
	}
};

Modul _AtlModule;

//
extern "C" int WINAPI _tWinMain(HINSTANCE,
	HINSTANCE, LPTSTR lpCmdLine, int nShowCmd)
{
	MessageBox(NULL, lpCmdLine,
			L"WinMain", MB_ICONINFORMATION);
    return _AtlModule.WinMain(nShowCmd);
}


