// DemoAplikace.cpp : Implementation of WinMain

#include "stdafx.h"
#include ".\DemoAplikace.h"
#include ".\OknoHlavni.h"

Aplikace _aplikace;


//
extern "C" int WINAPI _tWinMain(HINSTANCE /*hInstance*/, HINSTANCE /*hPrevInstance*/, 
                                LPTSTR /*lpCmdLine*/, int nShowCmd)
{
    return _aplikace.WinMain(nShowCmd);
}

HRESULT Aplikace::PreMessageLoop(int nShowCmd)
{
	CAtlExeModuleT<Aplikace>::PreMessageLoop(nShowCmd);
	Lock();
	INITCOMMONCONTROLSEX icc;
	icc.dwSize = sizeof(INITCOMMONCONTROLSEX);
	icc.dwICC = ICC_WIN95_CLASSES |
		ICC_USEREX_CLASSES | ICC_DATE_CLASSES |
		ICC_LISTVIEW_CLASSES |	ICC_COOL_CLASSES |
		ICC_BAR_CLASSES | ICC_INTERNET_CLASSES |
		ICC_NATIVEFNTCTL_CLASS | ICC_TAB_CLASSES |
		ICC_ANIMATE_CLASS;
	if (!InitCommonControlsEx(&icc))
		return E_FAIL;
	if (!jmeno.LoadString(IDS_PROJNAME))
		return E_FAIL;
	_oknoHlavni.Vytvorit();
	return S_OK;
}

HRESULT Aplikace::PostMessageLoop()
{
	Unlock();
	return CAtlExeModuleT<Aplikace>::PostMessageLoop();
}

void Aplikace::FatalniChyba()
{
	ZobrazitPosledniChybu();
	ExitProcess(-1);
}

void Aplikace::ZobrazitPosledniChybu()
{
	DWORD dwPosledniChyba = GetLastError();
	if (dwPosledniChyba == 0) 
	{
		MessageBox(NULL,
			L"Dolo k nespecifikovan chyb",
			jmeno,
			MB_TASKMODAL | MB_SETFOREGROUND | MB_ICONERROR);
	}
	else
	{
		void* lpMessage = NULL;
		if (FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER |
			FORMAT_MESSAGE_FROM_SYSTEM,
			NULL, dwPosledniChyba,
			MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
			(wchar_t*)&lpMessage, 0, NULL) == 0)
		{
			if (lpMessage)
				LocalFree(lpMessage);
			MessageBox(NULL,
				L"Dolo k nespecifikovan chyb",
				jmeno,
				MB_TASKMODAL |
				MB_SETFOREGROUND | MB_ICONERROR);
		}
		else
		{
			MessageBox(NULL,
				(wchar_t*)lpMessage, jmeno,
				MB_TASKMODAL |
				MB_SETFOREGROUND | MB_ICONERROR);
			LocalFree(lpMessage);
		}
	}
}
