// DlgAxTestKontejner.h : Declaration of the DlgAxTestKontejner

#pragma once

#include "resource.h"       // main symbols
#include <atlhost.h>


// DlgAxTestKontejner

class DlgAxTestKontejner : 
	public CAxDialogImpl<DlgAxTestKontejner>,
	public IDispEventImpl<IDC_ELIPSA_AX,DlgAxTestKontejner>
{
public:
	DlgAxTestKontejner()
	{
	}

	~DlgAxTestKontejner()
	{
	}

	enum { IDD = IDD_DLGAXTESTKONTEJNER };
	CAxWindow2 axWindow;
	IVlastnostiAx* vlastnostiAx;

BEGIN_MSG_MAP(DlgAxTestKontejner)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnClickedOK)
	COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnClickedCancel)
	CHAIN_MSG_MAP(CAxDialogImpl<DlgAxTestKontejner>)
END_MSG_MAP()

// Handler prototypes:
//  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
//  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
//  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
	{
		CAxDialogImpl<DlgAxTestKontejner>::OnInitDialog(uMsg, wParam, lParam, bHandled);
		axWindow =  GetDlgItem(IDC_VLASTNOSTI_AX);
		if (FAILED(axWindow.QueryControl(&vlastnostiAx)))
			EndDialog(IDCANCEL);
		return 1;  // Let the system set the focus
	}

	LRESULT OnClickedOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
		EndDialog(wID);
		return 0;
	}

	LRESULT OnClickedCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
		EndDialog(wID);
		return 0;
	}
	BEGIN_SINK_MAP(DlgAxTestKontejner)
		SINK_ENTRY(IDC_ELIPSA_AX, 1, KlikElipsaAx)
	END_SINK_MAP()
	void __stdcall KlikElipsaAx(long xPoz, long yPoz, unsigned long klavesy);
	LRESULT OnBnClickedButton1(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/);
};


