// DlgUdalosti.h : Declaration of the DlgUdalosti

#pragma once

#include "resource.h"       // main symbols
#include <atlhost.h>


// DlgUdalosti

class DlgUdalosti : 
	public CAxDialogImpl<DlgUdalosti>,
	public IDispEventImpl<IDC_UDALOSTIAX1,DlgUdalosti>
{
public:
	DlgUdalosti()
	{
	}

	~DlgUdalosti()
	{
	}

	enum { IDD = IDD_DLGUDALOSTI };

BEGIN_MSG_MAP(DlgUdalosti)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnClickedOK)
	COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnClickedCancel)
	CHAIN_MSG_MAP(CAxDialogImpl<DlgUdalosti>)
END_MSG_MAP()

// Handler prototypes:
//  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
//  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
//  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
	{
		CAxDialogImpl<DlgUdalosti>::OnInitDialog(uMsg, wParam, lParam, bHandled);
		return 1;  // Let the system set the focus
	}

	LRESULT OnClickedOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
		EndDialog(wID);
		return 0;
	}

	LRESULT OnClickedCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
		EndDialog(wID);
		return 0;
	}
	BEGIN_SINK_MAP(DlgUdalosti)
		SINK_ENTRY(IDC_UDALOSTIAX1, 5, OnKonec)
		SINK_ENTRY(IDC_UDALOSTIAX1, 1, OnUdalostCislo)
		SINK_ENTRY(IDC_UDALOSTIAX1, 3, OnUdalostCisloOut)
		SINK_ENTRY(IDC_UDALOSTIAX1, 2, OnUdalostText)
		SINK_ENTRY(IDC_UDALOSTIAX1, 4, OnUdalostTextOut)
	END_SINK_MAP()
	
	void __stdcall OnKonec(unsigned long pocet,
		BOOL* pKoncit)
	{
		if (pocet > 20)
			*pKoncit = (pocet > 10) ?
				VARIANT_TRUE : VARIANT_FALSE;
	}

	void __stdcall OnUdalostCislo(unsigned long cislo)
	{
		CString text;
		text.Format(L"slo je: %d", cislo);
		MessageBox(text, L"Udlost slo",
			MB_ICONINFORMATION);
	}

	void __stdcall OnUdalostText(BSTR text)
	{
		MessageBox(text, L"Udlost Text",
			MB_ICONINFORMATION);
	}

	void __stdcall OnUdalostCisloOut(unsigned long* pCislo)
	{
		*pCislo *= 2;
	}

	void __stdcall OnUdalostTextOut(BSTR* pText)
	{
		CComBSTR bstrText = CComBSTR(*pText);
		MessageBox(bstrText.m_str,
			L"Udlost TextOut", MB_ICONINFORMATION);
		bstrText.ToUpper();
		bstrText.CopyTo(pText);
	}
};


