#pragma once

class OknoHlavni :
	public CWindowImpl< OknoHlavni >
{
public:
	static CWndClassInfo& GetWndClassInfo()
	{
		static CWndClassInfo wc =
		{
			{
				sizeof(WNDCLASSEX),
				CS_DBLCLKS,
				StartWindowProc,
				0, 0,
				NULL,
				(HICON)LoadIcon(_AtlBaseModule.m_hInst,
					MAKEINTRESOURCE(IDI_HLAVNI)),
				(HCURSOR)NULL,
				(HBRUSH)GetSysColorBrush(COLOR_3DFACE),
				MAKEINTRESOURCE(IDR_HLAVNI), // menu
				L"DemoAplikace",
				(HICON)LoadIcon(_AtlBaseModule.m_hInst,
					MAKEINTRESOURCE(IDI_HLAVNI))
			},
			NULL, // origname
			NULL, // wndproc
			IDC_ARROW, // cursor ID
			TRUE, // system cursor
			0, // atom
			L""
		};
		return wc;
	}
public:
	CComPtr< ISeznamModulu > seznamModulu;
	CComPtr< IOknoPlus > oknoPlus;

public:
	OknoHlavni();
	~OknoHlavni();

	BEGIN_MSG_MAP(Aplikace)
		MESSAGE_HANDLER(WM_CLOSE, OnClose)
		MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
		COMMAND_ID_HANDLER(ID_AX_TEST_KONTEJNER, OnAxTestKontejner)
		COMMAND_ID_HANDLER(ID_KONEC, OnKonec)
		COMMAND_ID_HANDLER(ID_MODULY_APLIKACE, OnModulyAplikace)
		COMMAND_ID_HANDLER(ID_TEXT_EDITOR, OnTextEditor)
		COMMAND_ID_HANDLER(ID_TEST_UDALOSTI, OnTestUdalosti)
		COMMAND_ID_HANDLER(ID_ZAZNAM_ZVUKU, OnZaznamZvuku)
	END_MSG_MAP()

	LRESULT OnAxTestKontejner(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnClose(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnDestroy(UINT uMsg, WPARAM wParam,	LPARAM lParam, BOOL& bHandled);
	LRESULT OnKonec(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnModulyAplikace(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnTextEditor(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnZaznamZvuku(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnTestUdalosti(WORD wNotifyCode, WORD wID,
		HWND hWndCtl, BOOL& bHandled);
	void Vytvorit();
};

extern OknoHlavni _oknoHlavni;