#pragma once

template<class T>
class CProxy_IElipsaAxEvents :
	public IConnectionPointImpl<T,
	&__uuidof(_IElipsaAxEvents)>
{
public:
	HRESULT Fire_Klik(LONG  xPoz,
		LONG  yPoz,  ULONG  klavesy)
	{
		HRESULT hr = S_OK;
		T * pThis = static_cast<T *>(this);
		int cConnections = m_vec.GetSize();

		for (int iConnection = 0;
			iConnection < cConnections;
			iConnection++)
		{
			pThis->Lock();
			CComPtr<IUnknown> punkConnection =
				m_vec.GetAt(iConnection);
			pThis->Unlock();
			IDispatch * pConnection = static_cast<IDispatch *>(punkConnection.p);
			if (pConnection)
			{
				CComVariant avarParams[3];
				avarParams[2] = xPoz;
				avarParams[2].vt = VT_I4;
				avarParams[1] = yPoz;
				avarParams[1].vt = VT_I4;
				avarParams[0] = klavesy;
				avarParams[0].vt = VT_UI4;
				DISPPARAMS params = { avarParams, NULL, 3, 0 };
				hr = pConnection->Invoke(1,
					IID_NULL, LOCALE_USER_DEFAULT,
					DISPATCH_METHOD,
					&params, NULL, NULL, NULL);
			}
		}
		return hr;
	}
};

