/****************************************************
Ukzka interaktivn sluby Windows
Soubor: InteraktSluzba.cpp
(C) 2005 Radek Chalupa - www.radekchalupa.cz
*****************************************************/

#include "stdafx.h"
#include "resource.h"
#include "InteraktSluzba.h"

class Aplikace : 
	public CAtlServiceModuleT< Aplikace, IDS_SERVICENAME >
{
public:
	static void __stdcall TimerProc(HWND hwnd,
        UINT uMsg, UINT_PTR idEvent, DWORD dwTime);

public:
	UINT_PTR idTimer;

public:
	DECLARE_LIBID(LIBID_InteraktSluzbaLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_INTERAKTSLUZBA,
	"{E2FF1B5C-FE48-426F-A18B-CE85140D2365}")

	HRESULT InitializeSecurity() throw()
	{
		return S_OK;
	}
	HRESULT PreMessageLoop(int nShowCmd);
};

Aplikace _aplikace;


extern "C" int WINAPI _tWinMain(HINSTANCE,
	HINSTANCE, LPTSTR, int nShowCmd)
{
    return _aplikace.WinMain(nShowCmd);
}


HRESULT Aplikace::PreMessageLoop(int nShowCmd)
{
	CAtlServiceModuleT<Aplikace,IDS_SERVICENAME>
		::PreMessageLoop(nShowCmd);
	idTimer = SetTimer(NULL, 0, 5000,
		Aplikace::TimerProc);	
	return S_OK;
}

void __stdcall Aplikace::TimerProc(HWND hwnd,
    UINT uMsg, UINT_PTR idEvent, DWORD dwTime)
{
	KillTimer(NULL, _aplikace.idTimer);
	wchar_t cesta[MAX_PATH];
	if (GetModuleFileName(NULL, cesta, MAX_PATH) == 0)
		return;
	if (!PathRemoveFileSpec(cesta))
		return;
	wcscat(cesta, L"\\info.txt");
	if (!PathFileExists(cesta))
		return;
	CString cmd;
	cmd.Format(L"notepad.exe %s", cesta);
	STARTUPINFO si; 
	PROCESS_INFORMATION pi; 
	memset(&si, 0, sizeof(si));
	memset(&pi, 0, sizeof(pi));
	si.cb = sizeof(STARTUPINFO); 
	si.lpReserved = NULL; 
	si.lpTitle = NULL; 
	si.lpDesktop = L"WinSta0\\Default"; 
	si.dwFlags = STARTF_USESHOWWINDOW; 
	si.wShowWindow = SW_SHOW; 
	si.lpReserved2 = NULL; 
	si.cbReserved2 = 0;
	if (!CreateProcess(L"notepad.exe",
		cmd.GetBuffer(),
		NULL, NULL, FALSE,
		0, NULL, NULL, &si, &pi)) 
		return;
	WaitForSingleObject(pi.hProcess, INFINITE);
	CloseHandle(pi.hProcess); 
	CloseHandle(pi.hThread); 
	MessageBox(NULL, L"Hotovo",
		_aplikace.m_szServiceName,
		MB_ICONINFORMATION | MB_SERVICE_NOTIFICATION);
}
