#pragma once

#include "resource.h"       // main symbols
#include ".\EditUrl.h"


class DlgHlavni : 
	public CAxDialogImpl<DlgHlavni>,
	public IDispEventImpl<IDC_IEXPLORER, DlgHlavni>
{
public:
	DlgHlavni()
	{
	}

	~DlgHlavni()
	{
		if (IsWindow())
			if (!DestroyWindow())
				AtlThrowLastWin32();
	}

	enum { IDD = IDD_DLGHLAVNI };
	CAxWindow2 axWindow;
	IWebBrowser2* webBrowser;

	AtlDemo::Button btnOtevritUrl;
	EditUrl editUrl;


BEGIN_MSG_MAP(DlgHlavni)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_HANDLER(IDC_OTEVRIT_URL, BN_CLICKED, OnOtevritUrl)
	MESSAGE_HANDLER(WM_SIZE, OnSize)
	CHAIN_MSG_MAP(CAxDialogImpl<DlgHlavni>)
END_MSG_MAP()

	BEGIN_SINK_MAP(DlgHlavni)
		SINK_ENTRY(IDC_IEXPLORER,
			252, NavigateComplete2Iexplorer)
		SINK_ENTRY(IDC_IEXPLORER,
			273, NewWindow3Iexplorer)
		SINK_ENTRY(IDC_IEXPLORER,
			250, BeforeNavigate2Iexplorer)
		SINK_ENTRY(IDC_IEXPLORER,
			102, StatusTextChangeIexplorer)
		SINK_ENTRY(IDC_IEXPLORER,
			113, TitleChangeIexplorer)
	END_SINK_MAP()

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam,
		LPARAM lParam, BOOL& bHandled);
	LRESULT OnOtevritUrl(WORD wNotifyCode, WORD wID,
		HWND hWndCtl, BOOL& bHandled);
	LRESULT OnSize(UINT uMsg, WPARAM wParam,
		LPARAM lParam, BOOL& bHandled);

   STDMETHOD(Invoke)(DISPID dispidMember,REFIID riid, LCID lcid, WORD wFlags,
                     DISPPARAMS * pdispparams, VARIANT * pvarResult,
                     EXCEPINFO * pexcepinfo, UINT * puArgErr)
   {
		HRESULT hr = DISP_E_MEMBERNOTFOUND;

		if (dispidMember == DISPID_AMBIENT_DLCONTROL)
//		if (dispidMember == DISPID_BEFORENAVIGATE2)
		{
//			pvarResult->vt = VT_I4;
//			pvarResult->lVal =  DLCTL_NO_FRAMEDOWNLOAD | DLCTL_NO_SCRIPTS;
			hr = S_OK;
		}

	   return S_OK;
   }
	void __stdcall BeforeNavigate2Iexplorer(
		LPDISPATCH pDisp, VARIANT* URL, VARIANT* Flags,
		VARIANT* TargetFrameName, VARIANT* PostData,
		VARIANT* Headers, BOOL* Cancel)
	{
		if (wcsstr(_wcslwr(URL->bstrVal),
				L"linux.cz") != NULL)
		{
			*Cancel = VARIANT_TRUE;
			webBrowser->Navigate(
				L"http://www.microsoft.com/",
				NULL, NULL, NULL, NULL);
		}
	}

	void __stdcall NewWindow3Iexplorer(
		LPDISPATCH* ppDisp, BOOL* Cancel,
		unsigned long dwFlags,
		BSTR bstrUrlContext, BSTR bstrUrl)
	{
		*Cancel = TRUE;
		webBrowser->Navigate(bstrUrl,
			NULL, NULL, NULL, NULL);
	}

	void __stdcall NavigateComplete2Iexplorer(
		LPDISPATCH pDisp, VARIANT* URL);

	void __stdcall StatusTextChangeIexplorer(BSTR Text);
	void __stdcall TitleChangeIexplorer(BSTR Text);
};
